<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.naz.sdkdemo">
    <!-- 应用使用蓝牙的权限 -->
    <uses-permission android:name="android.permission.BLUETOOTH" /> <!-- 在android 6.0之后要用蓝牙还需要添加一个模糊定位的权限 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- 扫描蓝牙设备或者操作蓝牙设置 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-feature android:name="android.hardware.camera.any" />

    <application
        android:name=".BaseApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_logo"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network"
        android:roundIcon="@mipmap/ic_logo"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning">

        <activity android:name=".MainActivity"
            android:screenOrientation="portrait"
            android:hardwareAccelerated="true"
            android:windowSoftInputMode="adjustPan" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.CaremaActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" >
        </activity>

        <activity
            android:name=".NewMainActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" >
        </activity>
        <activity
            android:name=".activity.SettingActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" >
        </activity>
        <activity android:name=".activity.WaitActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.SaveTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.UpTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.StockSearchActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.UpTrademarkScanActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.ApplyTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.ApplyTrademarkSelectActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.RepairTrademarkSelectActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.RepairTrademarkCompleteActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.FullApplyTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.FullApplyTrademarkSelectActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.VerifyTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.RepairTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.RecycleTrademarkActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.ApplyTrademarkCompleteActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.RecycleTrademarkSelectActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.LoginActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.WaitCloseDoorActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.FullApplyTrademarkScanActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".activity.AdActivity"
            android:screenOrientation="portrait"/>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            tools:replace="android:authorities"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"
                tools:replace="android:resource"
                />
        </provider>
    </application>
</manifest>